summaryrefslogtreecommitdiffstats
path: root/games/zsxd/zsxd.SlackBuild
diff options
context:
space:
mode:
author Hunter Sezen2018-03-07 14:30:54 +0100
committer Willy Sudiarto Raharjo2018-03-10 01:11:03 +0100
commit54cc9e6e1196aa70435ae2147accda135ee6cbc0 (patch)
treec269edea9edb822ba038c45435df2edc7161b3e0 /games/zsxd/zsxd.SlackBuild
parent99eee08fbe50608d5f24b4af34405a65b832e926 (diff)
downloadslackbuilds-54cc9e6e1196aa70435ae2147accda135ee6cbc0.tar.gz
games/zsxd: Patched.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/zsxd/zsxd.SlackBuild')
-rw-r--r--games/zsxd/zsxd.SlackBuild31
1 files changed, 7 insertions, 24 deletions
diff --git a/games/zsxd/zsxd.SlackBuild b/games/zsxd/zsxd.SlackBuild
index 5e3b68f6a6..9d59724d8b 100644
--- a/games/zsxd/zsxd.SlackBuild
+++ b/games/zsxd/zsxd.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Zelda: Mystery of Solarus XD
-# Copyright 2016 Hunter Sezen California, USA
+# Copyright 2016, 2018 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
PRGNAM=zsxd
VERSION=${VERSION:-1.11.0}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -54,7 +54,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -69,6 +69,10 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+# Install icons and a desktop file.
+# https://github.com/solarus-games/zsxd/pull/45
+zcat $CWD/share.patch.gz | patch -p1
+
mkdir -p build
cd build
cmake \
@@ -82,27 +86,6 @@ cd build
make install DESTDIR=$PKG
cd ..
-# Write a desktop file
-mkdir -p $PKG/usr/share/applications
-cat > $PKG/usr/share/applications/$PRGNAM.desktop <<EOF
-[Desktop Entry]
-Name=Zelda: Mystery of Solarus XD
-Exec=$PRGNAM
-Icon=$PRGNAM-logo
-Type=Application
-Comment=Zelda: Mystery of Solarus XD (Parodic Zelda game)
-Categories=Game;ActionGame;
-EOF
-
-# Add missing icons to package
-for pngicon in data/logos/icon_*.png ; do
- if [ -f $pngicon ]; then
- size=$(basename $pngicon .png | tr -dc 0-9)
- install -Dm0644 $pngicon $PKG/usr/share/icons/hicolor/${size}x${size}/apps/$PRGNAM.png
- fi
-done
-install -Dm0644 data/logos/logo_2x.png $PKG/usr/share/pixmaps/$PRGNAM-logo.png
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a changelog.txt license.txt readme.md work/* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild